Download it now!
Bug 85818 - Translate OpCodeEnum names into English
Summary: Translate OpCodeEnum names into English
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Laurent Charrière
URL:
Whiteboard: target:4.5.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2014-11-03 19:39 UTC by Tor Lillqvist
Modified: 2015-12-15 23:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2014-11-03 19:39:33 UTC
Many of the OpCodeEnum values (in <formula/opcode.hxx>) have names based on German terms or spelling, like ocKombin, ocVariationen, ocZins. These should be translated to use the corresponding English term instead. (And pointless abbreviation avoided.)
Comment 1 Tor Lillqvist 2014-11-03 19:41:38 UTC
I would add "SkillGerman" to the whiteboard if there was such a keyword.
Comment 2 Laurent Charrière 2015-01-06 20:19:41 UTC
I have started to work on this.

I asked around on IRC and it was suggested that it's probably a good idea to also rename the related SC_OPCODE constants, and
ScInterpreter methods. I was also told it's OK to submit patches that don't fix everything at once. The first patch, renaming OcZins et al. to OcRate etc., is in Gerrit.
Comment 3 Commit Notification 2015-01-07 02:36:49 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f4fd70495b3d0e732447e8e60e5faa9086471a8

fdo#85818: rename 'Zins' enum name, constant, function to Rate

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Laurent Charrière 2015-01-07 08:30:01 UTC
(In reply to Tor Lillqvist from comment #0)
> (And pointless
> abbreviation avoided.)

How far do we want to take this? I'm looking e.g. at ocZinsZ, which corresponds to the IPMT function in Calc. Should the enum name be ocIpmt, or ocInterestPayment (and similarly with the constant name and the ScInterpreter method name).

I'll go with ocIpmt for now, but I'm happy to change this depending on what I hear. Naturally, the question applies to the other constants as well.
Comment 5 Tor Lillqvist 2015-01-07 08:57:17 UTC
"ocInterestPayment" etc sounds fine to me. Or, if "IPMT" is better known (I wouldn't know, not a financial person...), then perhaps ocIPMT.
Comment 6 Laurent Charrière 2015-01-07 09:18:23 UTC
Looking at the source code, in general it seems like the original intent was to keep the opcode close to the name of the function in the spreadsheet (possibly its German name, function names are localized IIRC).

For example, for the function STDEV, we use ocStDev, not ocStandardDeviation.

I'm happy to go either way, I don't really have an opinion.
Comment 7 Eike Rathke 2015-01-07 11:44:00 UTC
Best use the English function name if possible and it doesn't clash with existing names.
Comment 8 Commit Notification 2015-01-09 12:44:55 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2963dbb5ce65a141051cb3e4e3ed06a6ed31574c

fdo#85818: rename ZinsZ enum name, constant, function to Ipmt

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-01-09 12:46:18 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5af576c2fcf8ebdc517b3919dd0ef808b09b04a1

fdo#85818: rename Kombin, Kombin2, Variationen, Variationen2

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-01-09 12:47:38 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8359780a25b4e645236dd0238e4ef39cd8413ce

fdo#85818: rename Kapz to Ppmt

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2015-01-09 12:47:42 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ee6c4df8d695384abefa57c27180cbe873046bd8

fdo#85818: rename KumZinsZ to CumIpmt

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-01-12 06:51:07 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6dc1c9de5ddb5ab8789b691378bbcf7ee41cd988

fdo#85818: rename KumKapZ to CumPrinc

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-01-12 06:52:26 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7d23291ea9ae7a3a2c055b09fce9c29bb7f58d3

fdo#85818: rename Effektiv to Effective

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-01-12 06:52:29 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8416ac2b532673f2b64be102d77c805fe5e81720

fdo#85818: rename BW to PV

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2015-01-12 06:53:48 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2fcd4f7c7133f10bde8df3b7544023a3719d2b2

fdo#85818: rename DIA to SYD

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2015-01-12 06:53:51 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a2fded15046f2c469c9c1723ccef4e517fc372a

fdo#85818: rename GDA2 to DB

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2015-01-12 06:53:54 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=febb2102a692480df0c82b58a792f4b3a447fb37

fdo#85818: rename Laufz to Duration

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2015-01-12 06:55:12 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd66d3749e286d8e1b40429ea04e33d7266c1132

fdo#85818: rename GDA to DDB

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2015-01-12 06:56:31 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=294b1e93f4a9e70e0699b2b42eba03eed630ec0c

fdo#85818: rename LIA to SLN

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2015-01-12 06:56:34 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6d3405d9cf75adc8ae9f8b2cca2dfd2c9de7d7d

fdo#85818: rename RMZ to PMT

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2015-01-12 06:56:38 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=92cef7eb344c9c9c7a6aa1489845a1b0eb346ead

fdo#85818: rename ZGZ to RRI

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2015-01-14 19:51:32 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b08f87b62db81b498ea71e5e1049b96e3dc42da4

fdo#85818: rename ZW to FV

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2015-01-14 19:51:35 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d7a16b9d3f9e45cb147e79d192ff9a20e59f0fe

fdo#85818: translate ZZR to Nper

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2015-01-14 19:52:59 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0302305dd47b679e889746459d32725bd06ea5b0

fdo#85818: rename KritBinom to CritBinom

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2015-01-14 19:54:22 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d6be636b19aea636ea5ba1007fd27eee61fb0dab

fdo#85818: rename Schiefe to Skew

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2015-01-14 19:54:25 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be2e6ea58b0025d1bcf7a901c89532737efcbe09

fdo#85818: rename RKP to Logest

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2015-01-14 19:54:28 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e613c9fba449fda0db163de413eeda50f521db41

fdo#85818: rename RGP to Linest

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2015-01-14 19:55:51 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3fe6a6b3ca3bc0c7d46fabf66f11f1ef6b4cd4cc

fdo#85818: rename SC_OPCODE_KGV to SC_OPCODE_LCM

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2015-01-14 19:55:55 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f7f8d82a25b0c55bcd2225ca0cac1d93c676f544

fdo#85818: rename SC_OPCODE_GGT to SC_OPCODE_GCD

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2015-01-14 19:55:59 UTC
Laurent Charrière committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed6c797d07f6e7f1afdb272046f9a02b973f97de

fdo#85818: rename SC_OPCODE_IKV to SC_OPCODE_IRR

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 31 Robinson Tryon (qubit) 2015-12-15 23:58:32 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp TopicCleanup)
[NinjaEdit]